uint32_unpack(3)

NAME
uint32_unpack - read an unsigned little-endian 32-bit integer

SYNTAX
#include <libowfat/uint32.h>

uint32 u;

void uint32_unpack(const char s[4],uint32 *u);

DESCRIPTION
uint32 is a 32-bit unsigned integer type, normally either unsigned int or unsigned long.

uint32_unpack portably reads a uint32 as stored on a little-endian architecture from s and writes it into u in the native byte order.

SEE ALSO
uint32_pack(3), uint32_unpack_big(3)